Up

# STEngine class documentation

### Authors

Stefan Urbanek(`urbanek@host.sk` )

Copyright: (C) 2002 Free Software Foundation

# Software documentation for the STEngine class

## STEngine : NSObject

> Declared in:
>   StepTalk/STEngine.h

STEngine is abstract class for language engines used to intepret scripts.

Method summary

- +engineForFileType:
- +engineForLanguageWithName:
- -defaultEnvironment
- -executeCode:
- -executeCode:inEnvironment:
- -setDefaultEnvironment:
- -understandsCode:

### engineForFileType:

+ (STEngine*) engineForFileType: (NSString*)fileType;

Return a scripting engine for the language used in files of type fileType

### engineForLanguageWithName:

+ (STEngine*) engineForLanguageWithName: (NSString*)name;

Instance creation
Return a scripting engine for language with specified name.

### defaultEnvironment

- (STEnvironment*) defaultEnvironment;

Scripting Environment
Return the default scripting environment for the engine.

### executeCode:

- (id) executeCode: (NSString*)code;

Execude source code code in default scripting environment.

### executeCode:inEnvironment:

- (id) executeCode: (NSString*)code inEnvironment: (STEnvironment*)env;
Subclasses should override this method.

Execude source code code in an environment env. This is the method, that has to be implemented by those who are writing a language engine.

### setDefaultEnvironment:

- (void) setDefaultEnvironment: (STEnvironment*)anEnvironment;

Set the default scripting environment for the engine.

### understandsCode:

- (BOOL) understandsCode: (NSString*)code;

Description forthcoming.

Up